package com.unis.auth.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 修改密码DTO
 */
@Getter
@Setter
@ToString
public class FindUserPasswdDTO {

    @ApiModelProperty(value = "图片验证码", notes ="")
    private String code;

    @ApiModelProperty(value = "短信验证码", notes ="")
    private String msgCode;

    /**
     * 主键
     */
    @ApiModelProperty(value = "用户系统id", notes ="")
    private String userCode;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号", notes ="")
    private String mobile;

    /**
     * 用户帐号
     */
    @ApiModelProperty(value = "用户帐号", notes ="")
    private String userLoginName;

    /**
     * 新密码1
     */
    @ApiModelProperty(value = "新密码", notes ="")
    private String newPasswd1;

    /**
     * 新密码2
     */
    @ApiModelProperty(value = "重复新密码", notes ="")
    private String newPasswd2;

}