package com.unis.auth.feign;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2018/8/31 14:43
 */
@FeignClient(name = "company")
@Component
public interface CompanyClient {


/*    *
     * 根据企业IDS获取企业信息
     *
     * @param ids
     * @return
     */
    @RequestMapping(method = RequestMethod.GET, value = "/company/checkStatusById")
    ResponseWrapper checkStatusById(@RequestParam(value = "id") Long id);

    @RequestMapping(method = RequestMethod.GET, value = "/company/checkStatusBySysUserInfoId")
    ResponseWrapper checkStatusBySysUserInfoId(@RequestParam(value = "sysUserInfoId") String sysUserInfoId);
}
