package com.unis.auth.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.ResponseWrapper;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2018/8/31 14:43
 */
//@FeignClient(name = "message")
//@Component
public interface MessageClient {


    /**
     * 根据手机号获取短信验证码
     *
     * @param ids
     * @return
     */
	@PostMapping(value = "/submitData/sendMessage")
	ResponseWrapper sendMessage(@RequestParam(value = "mobile") String mobile, @RequestParam(value = "creater") String creater);
	
	/**
	 * @param mobile
	 * @param code
	 * @return判断验证码
	 */
	@PostMapping(value = "/submitData/checkIsCorrectCode")
	ResponseWrapper checkIsCorrectCode(@RequestParam(value = "mobile") String mobile, @RequestParam(value = "code") String code);


}
